Bug 827923 - gpk update fail on mesa
gpk update fail on mesa
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-03 15:47 EDT by Charles Knox
Modified: 2014-01-21 18:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-21 15:33:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Knox 2012-06-03 15:47:51 EDT
Description of problem:ERROR with transaction check vs depsolve:
mesa-dri-filesystem(x86-32) is needed by mesa-dri-drivers-8.0.3-1.fc17.i686
Please report this error at https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.run gpk-update-viewer
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Charles Knox 2012-06-04 12:37:39 EDT
Further messing about with yum yield the result that this is a problem with several packages with the same broken dependencies.  I encountered this in the process of doing an upgrade from Fedora 16 to Fedora 17.  After the update/upgrade process finished I ran gpk-update-viewer to check for further changes.  There were ~400 to do.  I got the error above when I attempted them.  I then went through and manually did yum update for individual packages.  Most worked fine.  This is the output for the attempt when all of the packages that would update were updated.

[root@localhost ~]# yum update
Loaded plugins: langpacks, presto, refresh-packagekit
adobe-linux-x86_64                                       |  951 B     00:00     
google-chrome                                            |  951 B     00:00     
updates/metalink                                         |  17 kB     00:00     
Resolving Dependencies
--> Running transaction check
---> Package abrt.x86_64 0:2.0.10-3.fc17 will be updated
---> Package abrt.x86_64 0:2.0.10-4.fc17 will be an update
---> Package abrt-addon-ccpp.x86_64 0:2.0.10-3.fc17 will be updated
---> Package abrt-addon-ccpp.x86_64 0:2.0.10-4.fc17 will be an update
---> Package abrt-addon-kerneloops.x86_64 0:2.0.10-3.fc17 will be updated
---> Package abrt-addon-kerneloops.x86_64 0:2.0.10-4.fc17 will be an update
---> Package abrt-addon-python.x86_64 0:2.0.10-3.fc17 will be updated
---> Package abrt-addon-python.x86_64 0:2.0.10-4.fc17 will be an update
---> Package abrt-addon-vmcore.x86_64 0:2.0.10-3.fc17 will be updated
---> Package abrt-addon-vmcore.x86_64 0:2.0.10-4.fc17 will be an update
---> Package abrt-dbus.x86_64 0:2.0.10-3.fc17 will be updated
---> Package abrt-dbus.x86_64 0:2.0.10-4.fc17 will be an update
---> Package abrt-desktop.x86_64 0:2.0.10-3.fc17 will be updated
---> Package abrt-desktop.x86_64 0:2.0.10-4.fc17 will be an update
---> Package abrt-gui.x86_64 0:2.0.10-3.fc17 will be updated
---> Package abrt-gui.x86_64 0:2.0.10-4.fc17 will be an update
---> Package abrt-libs.x86_64 0:2.0.10-3.fc17 will be updated
---> Package abrt-libs.x86_64 0:2.0.10-4.fc17 will be an update
---> Package abrt-retrace-client.x86_64 0:2.0.7-2.fc16 will be updated
---> Package abrt-retrace-client.x86_64 0:2.0.10-4.fc17 will be an update
---> Package llvm-libs.i686 0:2.9-10.fc16 will be updated
---> Package llvm-libs.x86_64 0:3.0-12.fc17 will be updated
---> Package llvm-libs.i686 0:3.0-13.fc17 will be an update
---> Package llvm-libs.x86_64 0:3.0-13.fc17 will be an update
---> Package mesa-dri-drivers.i686 0:7.11.2-3.fc16 will be updated
---> Package mesa-dri-drivers.x86_64 0:8.0.2-8.fc17 will be updated
---> Package mesa-dri-drivers.i686 0:8.0.3-1.fc17 will be an update
---> Package mesa-dri-drivers.x86_64 0:8.0.3-1.fc17 will be an update
---> Package mesa-dri-filesystem.x86_64 0:8.0.2-8.fc17 will be updated
---> Package mesa-dri-filesystem.x86_64 0:8.0.3-1.fc17 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                    Arch        Version              Repository    Size
================================================================================
Updating:
 abrt                       x86_64      2.0.10-4.fc17        updates      221 k
 abrt-addon-ccpp            x86_64      2.0.10-4.fc17        updates      117 k
 abrt-addon-kerneloops      x86_64      2.0.10-4.fc17        updates       64 k
 abrt-addon-python          x86_64      2.0.10-4.fc17        updates       65 k
 abrt-addon-vmcore          x86_64      2.0.10-4.fc17        updates       64 k
 abrt-dbus                  x86_64      2.0.10-4.fc17        updates       63 k
 abrt-desktop               x86_64      2.0.10-4.fc17        updates       55 k
 abrt-gui                   x86_64      2.0.10-4.fc17        updates      151 k
 abrt-libs                  x86_64      2.0.10-4.fc17        updates       64 k
 abrt-retrace-client        x86_64      2.0.10-4.fc17        updates       81 k
 llvm-libs                  i686        3.0-13.fc17          updates      6.1 M
 llvm-libs                  x86_64      3.0-13.fc17          updates      5.9 M
 mesa-dri-drivers           i686        8.0.3-1.fc17         updates       12 M
 mesa-dri-drivers           x86_64      8.0.3-1.fc17         updates       11 M
 mesa-dri-filesystem        x86_64      8.0.3-1.fc17         updates       24 k

Transaction Summary
================================================================================
Upgrade  15 Packages

Total size: 36 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
ERROR with transaction check vs depsolve:
mesa-dri-filesystem(x86-32) is needed by mesa-dri-drivers-8.0.3-1.fc17.i686
Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum
** Found 4 pre-existing rpmdb problem(s), 'yum check' output follows:
abrt-retrace-client-2.0.7-2.fc16.x86_64 has missing requires of abrt = ('0', '2.0.7', '2.fc16')
llvm-libs-3.0-12.fc17.x86_64 is a duplicate with llvm-libs-2.9-10.fc16.i686
mesa-dri-drivers-7.11.2-3.fc16.i686 has missing requires of mesa-dri-filesystem(x86-32)
mesa-dri-drivers-8.0.2-8.fc17.x86_64 is a duplicate with mesa-dri-drivers-7.11.2-3.fc16.i686
Your transaction was saved, rerun it with:
 yum load-transaction /tmp/yum_save_tx.2012-06-04.12-21.Fhv4nW.yumtx
[root@localhost ~]#
Comment 2 James Antill 2013-05-21 15:33:53 EDT
 As it says, there are preexisting problems in the rpmdb.

Note You need to log in before you can comment on or make changes to this bug.